#
# spec file for package python-zope.configuration-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zope.configuration-doc
Version:        4.1.0
Release:        lp151.2.3
Summary:        Documentation for python-zope.configuration
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://www.python.org/pypi/zope.configuration
Source:         https://files.pythonhosted.org/packages/source/z/zope.configuration/zope.configuration-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zope.configuration = %{version}}
# SECTION documentation requirements
BuildRequires:  python3-Sphinx
BuildRequires:  python3-repoze.sphinx.autointerface
# /SECTION
# SECTION test requirements
BuildRequires:  %{python_module zope.testrunner}
# /SECTION
BuildRequires:  python-rpm-macros
Requires:       python-zope.i18nmessageid
Requires:       python-zope.interface
Requires:       python-zope.schema
Provides:       %{python_module zope.configuration-doc = %{version}}
BuildArch:      noarch

%description
Contains documentation for python-zope.configuration

%prep
%setup -q -n zope.configuration-%{version}

%build
%{_python_use_flavor python3}
%__python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
# nothing to do

%check
%python_exec %{_bindir}/zope-testrunner --test-path=src -v

%files
%defattr(-,root,root)
%doc build/sphinx/html/

%changelog
* Sun Jul 16 2017 aloisio@gmx.com
- Update to version 4.1.0
  * Drop support for Python 2.6 and 3.2.
  * Add support for Python 3.5 and 3.6.
  * Fix the domain of MessageID fields to be a native string.
    Previously on Python 3 they were bytes, which meant that they
    couldn’t be used to find translation utilities registered by
    zope.i18n. See issue 17.
- Split docs and tests into separate -doc package since running
  tests and sometimes building docs had become very messy.
  Also see (gh#/zopefoundation/zope.proxy#18)
- Converted to single-spec
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.0.3:
  * Added explicit support for Python 3.4.
- point the source URL to pypi
- add fdupes as BuildRequires and call it after install
- pass -q to the test to avoid spamming the build log
- rename CHANGES.txt to CHANGES.rst: changed upstream
- rename README.txt to README.rst: changed upstream
* Mon Jul 29 2013 hpj@urpla.net
- version 4.0.2: initial build
